Loading...
Searching...
No Matches
pdu.h File Reference
`#include <gnuradio/api.h>`
`#include <pmt/pmt.h>`
Include dependency graph for pdu.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::metadata_keys
namespace | gr::msgport_names
namespace | gr::types
namespace | gr::pdu

## Enumerations

enum | gr::types::vector_type { gr::types::byte_t , gr::types::short_t , gr::types::int_t , gr::types::float_t , gr::types::complex_t }

## Functions

GR_RUNTIME_API const pmt::pmt_t | gr::metadata_keys::pdu_num ()
GR_RUNTIME_API const pmt::pmt_t | gr::metadata_keys::rx_time ()
GR_RUNTIME_API const pmt::pmt_t | gr::metadata_keys::sample_rate ()
GR_RUNTIME_API const pmt::pmt_t | gr::metadata_keys::sys_time ()
GR_RUNTIME_API const pmt::pmt_t | gr::metadata_keys::tx_eob ()
GR_RUNTIME_API const pmt::pmt_t | gr::metadata_keys::tx_time ()
GR_RUNTIME_API const pmt::pmt_t | gr::metadata_keys::tx_sob ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::bpdu ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::conf ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::cpdu ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::detects ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::dict ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::fpdu ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::msg ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::pdu ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::pdus ()
GR_RUNTIME_API const pmt::pmt_t | gr::msgport_names::vec ()
GR_RUNTIME_API size_t | gr::pdu::itemsize (types::vector_type type)
GR_RUNTIME_API bool | gr::pdu::type_matches (types::vector_type type, pmt::pmt_t v)
GR_RUNTIME_API pmt::pmt_t | gr::pdu::make_pdu_vector (types::vector_type type, const uint8_t *buf, size_t items)
GR_RUNTIME_API types::vector_type | gr::pdu::type_from_pmt (pmt::pmt_t vector)